using CityInfo.WEB;
using CityInfo.WEB.Services;
using Microsoft.AspNetCore.Components.Web;
using Microsoft.AspNetCore.Components.WebAssembly.Hosting;

var builder = WebAssemblyHostBuilder.CreateDefault(args);
builder.RootComponents.Add<App>("#app");
builder.RootComponents.Add<HeadOutlet>("head::after");

builder.Services
    .AddHttpClient<IPointOfInterestDataService, PointOfInterestDataService>(
        (httpClient) => httpClient.BaseAddress = new Uri("https://127.0.0.1:7289"));

builder.Services
    .AddHttpClient<ICityDataService, CityDataService>(
        (httpClient) => httpClient.BaseAddress = new Uri("https://127.0.0.1:7289"));


await builder.Build().RunAsync();
